window.addEventListener('load', function() {

    let eingabe = document.getElementById("eingabe");
    let show = this.document.getElementById("show");


    function datenLaden() {
        const xhr = new XMLHttpRequest();
        let url = "https://ofi.tech-lab.ch/2023/teach/76f5054a/simple-file-io/nurdaten.php";
        xhr.open("GET", url);
        xhr.send();
        xhr.onload = () => { // callback, wenn Antwort da
            if (xhr.readyState == 4 && xhr.status == 200) {
                eingabe.value = xhr.response;
                show.innerText = "Daten erfolgreich geladen";
            } else {
                console.log(`Error: ${xhr.status}`);
            }
        };
    }

    eingabe.addEventListener('change', function() {
        let url = "https://ofi.tech-lab.ch/2023/teach/76f5054a/simple-file-io/schreiben.php";
        let params = "daten="+encodeURIComponent(eingabe.value); // Spezielle Zeichen codieren.
        url = url+"?"+params;
        console.log("Accessing url "+url);
        show.innerText = params;
        const xhr = new XMLHttpRequest();
        xhr.open("GET", url);
        xhr.send();
        xhr.onload = () => { // callback, wenn Antwort da
            if (xhr.readyState == 4 && xhr.status == 200) {
                console.log(xhr.response);
            } else {
                console.log(`Error: ${xhr.status}`);
            }
        };
    });

    datenLaden();
});